# Uses of Class
org.jmol.modelset.ModelSet

Packages that use ModelSet
Package
Description
org.jmol.adapter.readers.pdb
org.jmol.api
org.jmol.dssx
org.jmol.minimize
org.jmol.modelkit
org.jmol.modelset
org.jmol.modelsetbio
org.jmol.render
org.jmol.shape
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of ModelSet in org.jmol.adapter.readers.pdb

Methods in org.jmol.adapter.readers.pdb with parameters of type ModelSet
Modifier and Type
Method
Description
`void`
JmolDataReader.`setJmolDataFrame(ModelSet ms, String type, int modelIndex, int modelDataIndex)`
Set up the JmolDataFrame initially

## Uses of ModelSet in org.jmol.api

Methods in org.jmol.api with parameters of type ModelSet
Modifier and Type
Method
Description
`void`
JmolAnnotationParser.`getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)`
`String`
JmolAnnotationParser.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`Map<String,Object>`
SymmetryInterface.`getSpaceGroupInfo(ModelSet modelSet, String spaceGroup, int modelIndex, boolean isFull, float[] cellParams)`
`boolean`
SymmetryInterface.`getState(ModelSet ms, int modelIndex, SB commands)`
`Object`
SymmetryInterface.`getSymmetryInfoAtom(ModelSet ms, int iatom, String xyz, int op, P3 translation, P3 pt, P3 pt2, String id, int type, float scaleFactor, int nth, int options, int[] oplist)`
`BS`
SymmetryInterface.`notInCentroid(ModelSet modelSet, BS bsAtoms, int[] minmax)`
`BS`
SymmetryInterface.`removeDuplicates(ModelSet ms, BS bs, boolean highPrec)`
`void`
JmolRepaintManager.`render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
`String`
JmolRepaintManager.`renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)`
`void`
JmolAnnotationParser.`setGroup1(ModelSet ms, int modelIndex)`
`void`
AtomIndexIterator.`setModel(ModelSet modelSet, int modelIndex, int zeroBase, int atomIndex, T3 center, float distance, RadiusData rd)`

## Uses of ModelSet in org.jmol.dssx

Methods in org.jmol.dssx with parameters of type ModelSet
Modifier and Type
Method
Description
`void`
AnnotationParser.`getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)`
`void`
DSSR1.`getAtomicDSSRData(ModelSet ms, int modelIndex, float[] dssrData, String dataType)`
`String`
AnnotationParser.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`String`
DSSR1.`getHBonds(ModelSet ms, int modelIndex, Lst<Bond> vHBonds, boolean doReport)`
`void`
AnnotationParser.`setGroup1(ModelSet ms, int modelIndex)`
`void`
DSSR1.`setGroup1(ModelSet ms, int modelIndex)`

## Uses of ModelSet in org.jmol.minimize

Methods in org.jmol.minimize with parameters of type ModelSet
Modifier and Type
Method
Description
`void`
Minimizer.`calculatePartialCharges(ModelSet ms, BS bsAtoms, BS bsReport)`

## Uses of ModelSet in org.jmol.modelkit

Fields in org.jmol.modelkit declared as ModelSet
Modifier and Type
Field
Description
`protected ModelSet`
ModelKit.`lastModelSet`

## Uses of ModelSet in org.jmol.modelset

Fields in org.jmol.modelset declared as ModelSet
Modifier and Type
Field
Description
`ModelSet`
Measurement.`ms`
`ModelSet`
Model.`ms`
BE CAREFUL: FAILURE TO NULL REFERENCES TO modelSet WILL PREVENT FINALIZATION AND CREATE A MEMORY LEAK.
`ModelSet`
ModelLoader.`ms`
Methods in org.jmol.modelset with parameters of type ModelSet
Modifier and Type
Method
Description
`static String`
ModelLoader.`createAtomDataSet(Viewer vwr, ModelSet modelSet, int tokType, Object asc, BS bsSelected)`
`void`
MeasurementData.`define(JmolMeasurementClient client, ModelSet modelSet)`
called by the client to generate a set of measurements
`int[]`
BondSet.`getAssociatedAtoms(ModelSet ms)`
`protected void`
ModelSet.`mergeModelArrays(ModelSet mergeModelSet)`
initial transfer of model data from old to new model set.
`MeasurementPending`
MeasurementPending.`set(ModelSet modelSet)`
`Model`
Model.`set(ModelSet modelSet, int modelIndex, int trajectoryBaseIndex, Map<String,Object> jmolData, Properties properties, Map<String,Object> auxiliaryInfo)`
`Measurement`
Measurement.`setM(ModelSet modelSet, Measurement m, float value, short colix, String strFormat, int index)`
`void`
AtomIteratorWithinModel.`setModel(ModelSet modelSet, int modelIndex, int firstModelAtom, int atomIndex, T3 center, float distance, RadiusData rd)`
`MeasurementData`
MeasurementData.`setModelSet(ModelSet m)`
`Measurement`
Measurement.`setPoints(ModelSet modelSet, int[] indices, Point3fi[] points, TickInfo tickInfo)`
Constructors in org.jmol.modelset with parameters of type ModelSet
Modifier
Constructor
Description
``
`ModelLoader(Viewer vwr, String modelSetName, SB loadScript, Object asc, ModelSet modelSet0, BS bsNew)`

## Uses of ModelSet in org.jmol.modelsetbio

Methods in org.jmol.modelsetbio with parameters of type ModelSet
Modifier and Type
Method
Description
`BioModelSet`
BioResolver.`getBioModelSet(ModelSet modelSet)`
`BioModelSet`
BioModelSet.`set(Viewer vwr, ModelSet ms)`

## Uses of ModelSet in org.jmol.render

Fields in org.jmol.render declared as ModelSet
Modifier and Type
Field
Description
`protected ModelSet`
ShapeRenderer.`ms`
Methods in org.jmol.render with parameters of type ModelSet
Modifier and Type
Method
Description
`void`
RepaintManager.`render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
//////// actual rendering ///////////
`String`
RepaintManager.`renderExport(GData gdata, ModelSet modelSet, Map<String,Object> params)`
`boolean`
ShapeRenderer.`renderShape(JmolRendererInterface g3d, ModelSet modelSet, Shape shape, int flags)`
`void`
ShapeRenderer.`setup(JmolRendererInterface g3d, ModelSet modelSet, Shape shape)`

## Uses of ModelSet in org.jmol.shape

Fields in org.jmol.shape declared as ModelSet
Modifier and Type
Field
Description
`ModelSet`
Shape.`ms`
Methods in org.jmol.shape with parameters of type ModelSet
Modifier and Type
Method
Description
`final void`
Shape.`initializeShape(Viewer vwr, ModelSet modelSet, int shapeID)`
`void`
Shape.`setModelSet(ModelSet modelSet)`

## Uses of ModelSet in org.jmol.symmetry

Methods in org.jmol.symmetry with parameters of type ModelSet
Modifier and Type
Method
Description
`Map<String,Object>`
Symmetry.`getSpaceGroupInfo(ModelSet modelSet, String sgName, int modelIndex, boolean isFull, float[] cellParams)`
`boolean`
Symmetry.`getState(ModelSet ms, int modelIndex, SB commands)`
`Object`
Symmetry.`getSymmetryInfoAtom(ModelSet modelSet, int iatom, String xyz, int op, P3 translation, P3 pt, P3 pt2, String id, int type, float scaleFactor, int nth, int options, int[] opList)`
`BS`
Symmetry.`notInCentroid(ModelSet modelSet, BS bsAtoms, int[] minmax)`
`BS`
Symmetry.`removeDuplicates(ModelSet ms, BS bs, boolean highPrec)`
`SymmetryDesc`
SymmetryDesc.`set(ModelSet modelSet)`
`void`
UnitCellIterator.`setModel(ModelSet modelSet, int modelIndex, int zeroBase, int atomIndex, T3 center, float distance, RadiusData rd)`
`void`
Symmetry.`setSymmetryInfoFromFile(ModelSet ms, int modelIndex, float[] unitCellParams)`
Set space group and unit cell from the auxiliary info generated by XtalSymmetry specific to a given model.

## Uses of ModelSet in org.jmol.util

Methods in org.jmol.util with parameters of type ModelSet
Modifier and Type
Method
Description
`static Atom`
Vibration.`find(ModelSet modelSet, BS bs, Vibration v0)`
`int`
Vibration.`rotateModelSpinVectors(ModelSet ms, int modelIndex, M3 rot, boolean isdx)`

## Uses of ModelSet in org.jmol.viewer

Fields in org.jmol.viewer declared as ModelSet
Modifier and Type
Field
Description
`ModelSet`
Viewer.`ms`
Methods in org.jmol.viewer with parameters of type ModelSet
Modifier and Type
Method
Description
`void`
ShapeManager.`loadDefaultShapes(ModelSet newModelSet)`
`void`
ShapeManager.`setModelSet(ModelSet modelSet)`
`void`
Viewer.`setModelSet(ModelSet modelSet)`